tigase.jaxmpp.core.client.xmpp.modules.auth

## Class NonSaslAuthModule.NonSaslAuthFailedHandler.NonSaslAuthFailedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<NonSaslAuthModule.NonSaslAuthFailedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.auth.NonSaslAuthModule.NonSaslAuthFailedHandler.NonSaslAuthFailedEvent

- Enclosing interface:
    NonSaslAuthModule.NonSaslAuthFailedHandler

      public static class NonSaslAuthModule.NonSaslAuthFailedHandler.NonSaslAuthFailedEvent
      extends JaxmppEvent<NonSaslAuthModule.NonSaslAuthFailedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSaslAuthFailedEvent(SessionObject sessionObject, XMPPException.ErrorCondition error)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(NonSaslAuthModule.NonSaslAuthFailedHandler handler)` Invokes handlers method.
    `XMPPException.ErrorCondition` | `getErrorCondition()`
    `void` | `setErrorCondition(XMPPException.ErrorCondition errorCondition)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonSaslAuthFailedEvent

          public NonSaslAuthFailedEvent(SessionObject sessionObject,
                                        XMPPException.ErrorCondition error)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(NonSaslAuthModule.NonSaslAuthFailedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<NonSaslAuthModule.NonSaslAuthFailedHandler>`
      Parameters:
        `handler` - handler

    - #### getErrorCondition

          public XMPPException.ErrorCondition getErrorCondition()

    - #### setErrorCondition

          public void setErrorCondition(XMPPException.ErrorCondition errorCondition)

Copyright © 2006–2016 Tigase. All rights reserved.